## dbus-cpp 0.0.1+13.10.20130904

=== CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

cmake_minimum_required(VERSION 2.8)

project(dbus-cpp)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(cmake/EnableCoverageReport.cmake)
include(cmake/PrePush.cmake)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -pthread")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -pedantic -Wextra -fPIC -pthread")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined -lc++abi")

#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

set(DBUS_CPP_VERSION_MAJOR 0)
set(DBUS_CPP_VERSION_MINOR 0)
set(DBUS_CPP_VERSION_PATCH 1)

include(CTest)

include_directories(include/dbus)

add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(examples)
add_subdirectory(include)
add_subdirectory(tests)

enable_coverage_report(benchmark)

=== data/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

configure_file(
	dbus-cpp.pc.in dbus-cpp.pc @ONLY
)

install(
	FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-cpp.pc
	DESTINATION lib/pkgconfig
)

=== doc/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

option(
  DBUS_CPP_ENABLE_DOC_GENERATION
  "Generate package documentation with doxygen"
  OFF
)

if (DBUS_CPP_ENABLE_DOC_GENERATION)

find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in 
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(doc ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)
  install(
  	DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
  	DESTINATION share/${CMAKE_PROJECT_NAME}/doc)
endif (DOXYGEN_FOUND)
endif (DBUS_CPP_ENABLE_DOC_GENERATION)

=== include/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

install(
	DIRECTORY dbus
	DESTINATION include/dbus-cpp-${DBUS_CPP_VERSION_MAJOR}
)

=== tests/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
# Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
add_subdirectory(/usr/src/gtest gtest)
set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})

# We actually deliberately ignore the result of read and write in our tests
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=unused-result")

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

option(
    DBUS_CPP_ENABLE_DBUS_TEST_RUNNER 
    "Rely on dbus test runner to start a private session for testing purposes" 
    ON
)

if (DBUS_CPP_ENABLE_DBUS_TEST_RUNNER)
    find_program(DBUS_TEST_RUNNER_EXECUTABLE dbus-test-runner)
    message(STATUS "Executing test suite under dbus-test-runner")
endif (DBUS_CPP_ENABLE_DBUS_TEST_RUNNER)

include_directories(
    ${DBUS_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${GTEST_INCLUDE_DIRS}
)

add_executable(
    bus_test
    bus_test.cpp
)

add_executable(
    dbus_test
    dbus_test.cpp
)

add_executable(
    codec_test
    codec_test.cpp
)

add_executable(
    executor_test
    executor_test.cpp
)

add_executable(
    stl_codec_test
    stl_codec_test.cpp
)

add_executable(
    msg_test
    message_test.cpp
    match_rule_test.cpp
)

add_executable(
    msg_router_test
    message_router_test.cpp
)

add_executable(
    service_test
    service_test.cpp
)

target_link_libraries(
    bus_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    dbus_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    executor_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    codec_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    stl_codec_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    msg_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    msg_router_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

target_link_libraries(
    service_test
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

if (DBUS_CPP_ENABLE_DBUS_TEST_RUNNER)
    add_test(bus_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/bus_test)
    add_test(dbus_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/dbus_test)
    add_test(executor_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/executor_test)
    add_test(codec_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/codec_test)
    add_test(stl_codec_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/stl_codec_test)
    add_test(msg_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/msg_test)
    add_test(msg_router_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/msg_router_test)
    add_test(service_test ${DBUS_TEST_RUNNER_EXECUTABLE} --task=${CMAKE_CURRENT_BINARY_DIR}/service_test)
else(DBUS_CPP_ENABLE_DBUS_TEST_RUNNER)
    add_test(bus_test ${CMAKE_CURRENT_BINARY_DIR}/bus_test)
    add_test(dbus_test ${CMAKE_CURRENT_BINARY_DIR}/dbus_test)
    add_test(executor_test ${CMAKE_CURRENT_BINARY_DIR}/executor_test)
    add_test(codec_test ${CMAKE_CURRENT_BINARY_DIR}/codec_tes)
    add_test(stl_codec_test ${CMAKE_CURRENT_BINARY_DIR}/stl_codec_test)
    add_test(msg_test ${CMAKE_CURRENT_BINARY_DIR}/msg_test)
    add_test(msg_router_test ${CMAKE_CURRENT_BINARY_DIR}/msg_router_test)
    add_test(service_test ${CMAKE_CURRENT_BINARY_DIR}/service_test)
endif(DBUS_CPP_ENABLE_DBUS_TEST_RUNNER)

=== examples/benchmark/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost 1.49 COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
	${CMAKE_SOURCE_DIR}/include/dbus
    ${DBUS_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${GTEST_INCLUDE_DIRS}
)

add_executable(
	benchmark
	main.cpp
)

target_link_libraries(
    benchmark
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
)

install(
    TARGETS benchmark 
    DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/benchmark/
)

=== examples/geoclue/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
	${CMAKE_SOURCE_DIR}/include/dbus
    ${DBUS_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${GTEST_INCLUDE_DIRS}
)

add_executable(
	geoclue
	main.cpp
)

target_link_libraries(
    geoclue
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

install(
    TARGETS geoclue 
    DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/geoclue/
)

=== examples/ofono/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
    ${CMAKE_SOURCE_DIR}/include/dbus
    ${DBUS_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

add_executable(
    ofono
    main.cpp
)

target_link_libraries(
    ofono
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
)

install(
    TARGETS ofono
    DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/ofono/
)

=== examples/upower/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
	${CMAKE_SOURCE_DIR}/include/dbus
    ${DBUS_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${GTEST_INCLUDE_DIRS}
)

add_executable(
	upower
	main.cpp
)

target_link_libraries(
    upower
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_LIBRARIES}
    ${DBUS_LIBRARIES}
    gtest
    gtest_main
)

install(
    TARGETS upower
    DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/upower/
)

## dbus-cpp 2.0.0%2B14.04.20140326

=== src/core/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

add_subdirectory(dbus)

## dbus-cpp 2.0.0+14.04.20140326

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,14 +18,23 @@
 
 project(dbus-cpp)
 
+find_package(Boost COMPONENTS filesystem program_options system REQUIRED)
+find_package(LibXml2 REQUIRED)
+find_package(PkgConfig REQUIRED)
+
+pkg_check_modules(DBUS dbus-1)
+pkg_check_modules(PROCESS_CPP process-cpp)
+
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(cmake/EnableCoverageReport.cmake)
 include(cmake/PrePush.cmake)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -pedantic -Wextra -fPIC -pthread")
-set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined -lc++abi")
+include(GNUInstallDirs)
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fvisibility=hidden -fPIC -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
+set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 #####################################################################
 # Enable code coverage calculation with gcov/gcovr/lcov
@@ -42,18 +51,22 @@
   SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
-set(DBUS_CPP_VERSION_MAJOR 0)
+set(DBUS_CPP_VERSION_MAJOR 2)
 set(DBUS_CPP_VERSION_MINOR 0)
-set(DBUS_CPP_VERSION_PATCH 1)
+set(DBUS_CPP_VERSION_PATCH 0)
 
 include(CTest)
 
-include_directories(include/dbus)
+include_directories(
+  include
+  ${LIBXML2_INCLUDE_DIR}
+)
 
 add_subdirectory(data)
 add_subdirectory(doc)
 add_subdirectory(examples)
 add_subdirectory(include)
+add_subdirectory(src)
 add_subdirectory(tests)
 
 enable_coverage_report(benchmark)

=== tests/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
# Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
find_package(Gtest REQUIRED)
include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})

find_package(Threads)

add_definitions(-DCORE_DBUS_ENABLE_GOOGLE_TEST_FIXTURE)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/test_data.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/test_data.h @ONLY)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

include_directories(
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GTEST_INCLUDE_DIRS}
  ${PROCESS_CPP_INCLUDE_DIRS}
)

add_executable(
  bus_test
  bus_test.cpp
  )

add_executable(
  cache_test
  cache_test.cpp
  )

add_executable(
  dbus_test
  dbus_test.cpp
  )

add_executable(
  codec_test
  codec_test.cpp
  )

add_executable(
  compiler_test
  compiler_test.cpp
  )

add_executable(
  executor_test
  executor_test.cpp
  )

add_executable(
  stl_codec_test
  stl_codec_test.cpp
  )

add_executable(
  message_test
  message_test.cpp   
  )

add_executable(
  match_rule_test
  match_rule_test.cpp
  )

add_executable(
  message_router_test
  message_router_test.cpp
  )

add_executable(
  service_test
  service_test.cpp
  )

add_executable(
  service_watcher_test
  service_watcher_test.cpp
  )

add_executable(
  types_test
  types_test.cpp
  )

add_executable(
  signal_delivery_test
  signal_delivery_test.cpp
  )

target_link_libraries(
  bus_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
  cache_test

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
  dbus_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  executor_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  codec_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  compiler_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${LIBXML2_LIBRARIES}
  ${GMOCK_LIBRARY}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  stl_codec_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  message_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  match_rule_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  message_router_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  service_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  service_watcher_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  types_test

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  signal_delivery_test

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

add_test(bus_test ${CMAKE_CURRENT_BINARY_DIR}/bus_test)
add_test(cache_test ${CMAKE_CURRENT_BINARY_DIR}/cache_test)
add_test(dbus_test ${CMAKE_CURRENT_BINARY_DIR}/dbus_test)
add_test(executor_test ${CMAKE_CURRENT_BINARY_DIR}/executor_test)
add_test(codec_test ${CMAKE_CURRENT_BINARY_DIR}/codec_test)
add_test(compiler_test ${CMAKE_CURRENT_BINARY_DIR}/compiler_test)
add_test(stl_codec_test ${CMAKE_CURRENT_BINARY_DIR}/stl_codec_test)
add_test(types_test ${CMAKE_CURRENT_BINARY_DIR}/types_test)
add_test(message_test ${CMAKE_CURRENT_BINARY_DIR}/message_test)
add_test(match_rule_test ${CMAKE_CURRENT_BINARY_DIR}/match_rule_test)
add_test(message_router_test ${CMAKE_CURRENT_BINARY_DIR}/message_router_test)
add_test(service_test ${CMAKE_CURRENT_BINARY_DIR}/service_test)
add_test(service_watcher_test ${CMAKE_CURRENT_BINARY_DIR}/service_watcher_test)
add_test(signal_delivery_test ${CMAKE_CURRENT_BINARY_DIR}/signal_delivery_test)

## dbus-cpp 4.0.0+14.10.20141006

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,17 @@
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fvisibility=hidden -fPIC -pthread")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
-set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
+set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}")
+
+# We leverage GCC's sanitize functionality
+set(
+  DBUS_CPP_SANITIZE None
+  CACHE STRING "Enables sanitizer functionality if set to a value in {address, leak}")
+
+if((${DBUS_CPP_SANITIZE} STREQUAL "address") OR (${DBUS_CPP_SANITIZE} STREQUAL "leak"))
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=${DBUS_CPP_SANITIZE}")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=${DBUS_CPP_SANITIZE}")
+endif()
 
 #####################################################################
 # Enable code coverage calculation with gcov/gcovr/lcov
@@ -51,7 +61,7 @@
   SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
-set(DBUS_CPP_VERSION_MAJOR 2)
+set(DBUS_CPP_VERSION_MAJOR 4)
 set(DBUS_CPP_VERSION_MINOR 0)
 set(DBUS_CPP_VERSION_PATCH 0)

## dbus-cpp 4.3.0+15.04.20150415

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,7 @@
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
 set(DBUS_CPP_VERSION_MAJOR 4)
-set(DBUS_CPP_VERSION_MINOR 0)
+set(DBUS_CPP_VERSION_MINOR 3) 
 set(DBUS_CPP_VERSION_PATCH 0)
 
 include(CTest)

## dbus-cpp 5.0.0+15.10.20151022.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,8 +61,8 @@
   SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
-set(DBUS_CPP_VERSION_MAJOR 4)
-set(DBUS_CPP_VERSION_MINOR 3) 
+set(DBUS_CPP_VERSION_MAJOR 5)
+set(DBUS_CPP_VERSION_MINOR 0) 
 set(DBUS_CPP_VERSION_PATCH 0)
 
 include(CTest)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -14,13 +14,14 @@
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
-set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-# Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
-string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-find_package(Gtest REQUIRED)
-include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
-set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})
-
+# Build with system gmock and embedded gtest
+set (GMOCK_INCLUDE_DIR "/usr/include/gmock/include" CACHE PATH "gmock source include directory")
+set (GMOCK_SOURCE_DIR "/usr/src/gmock" CACHE PATH "gmock source directory")
+set (GTEST_INCLUDE_DIR "${GMOCK_SOURCE_DIR}/gtest/include" CACHE PATH "gtest source include directory")
+
+add_subdirectory(${GMOCK_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/gmock")
+
+set(GTEST_BOTH_LIBRARIES gmock gtest gtest_main)
 find_package(Threads)
 
 add_definitions(-DCORE_DBUS_ENABLE_GOOGLE_TEST_FIXTURE)
@@ -41,6 +42,11 @@
 )
 
 add_executable(
+  async_execution_load_test
+  async_execution_load_test.cpp
+  )
+
+add_executable(
   bus_test
   bus_test.cpp
   )
@@ -111,6 +117,19 @@
   )
 
 target_link_libraries(
+  async_execution_load_test
+
+  dbus-cpp
+  dbus-cppc-helper
+
+  ${CMAKE_THREAD_LIBS_INIT}
+  ${Boost_LIBRARIES}
+  ${DBUS_LIBRARIES}
+  ${GTEST_BOTH_LIBRARIES}
+  ${PROCESS_CPP_LIBRARIES}
+)
+
+target_link_libraries(
   bus_test
 
   dbus-cpp
@@ -279,6 +298,7 @@
   ${GTEST_BOTH_LIBRARIES}
   )
 
+add_test(async_execution_load_test ${CMAKE_CURRENT_BINARY_DIR}/async_execution_load_test)
 add_test(bus_test ${CMAKE_CURRENT_BINARY_DIR}/bus_test)
 add_test(cache_test ${CMAKE_CURRENT_BINARY_DIR}/cache_test)
 add_test(dbus_test ${CMAKE_CURRENT_BINARY_DIR}/dbus_test)

## dbus-cpp 5.0.0+16.10.20160809

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,35 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(dbus-cpp)
+
+# We haven't received version information via the packaging setup.
+# For that, we try to determine sensible values on our own, ensuring
+# plain old invocations to cmake still work as expected.
+if (NOT DEFINED DBUS_CPP_VERSION_MAJOR)
+  find_program(LSB_RELEASE lsb_release)
+  execute_process(
+    COMMAND ${LSB_RELEASE} -c -s
+    OUTPUT_VARIABLE DISTRO_CODENAME
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+  # We explicitly ignore errors and only check if we are building for vivid.
+  # For all other cases:
+  #   - releases other than vivid
+  #   - other distros
+  #   - errors
+  # we define the version to be 2.0.0
+  if (${DISTRO_CODENAME} STREQUAL "vivid")
+    set(DBUS_CPP_VERSION_MAJOR 4)
+    set(DBUS_CPP_VERSION_MINOR 3)
+    set(DBUS_CPP_VERSION_PATCH 0)
+  else ()
+    set(DBUS_CPP_VERSION_MAJOR 5)
+    set(DBUS_CPP_VERSION_MINOR 0)
+    set(DBUS_CPP_VERSION_PATCH 0)
+  endif()
+endif()
+
+message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")
 
 find_package(Boost COMPONENTS filesystem program_options system REQUIRED)
 find_package(LibXml2 REQUIRED)
@@ -61,10 +90,6 @@
   SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
-set(DBUS_CPP_VERSION_MAJOR 5)
-set(DBUS_CPP_VERSION_MINOR 0) 
-set(DBUS_CPP_VERSION_PATCH 0)
-
 include(CTest)
 
 include_directories(

## dbus-cpp 5.0.0+18.04.20171031

=== core/dbus/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${PROCESS_CPP_INCLUDE_DIR}
)

configure_file(
  fixture.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/fixture.cpp @ONLY
)

add_library(
  dbus-cpp SHARED

  ${CMAKE_CURRENT_BINARY_DIR}/fixture.cpp

  bus.cpp
  dbus.cpp
  error.cpp
  match_rule.cpp
  message.cpp
  service.cpp
  service_watcher.cpp

  asio/executor.cpp

  types/object_path.cpp
)
# We compile with all symbols visible by default. For the shipping library, we strip
# out all symbols that are not in core::dbus::*
set(symbol_map "${CMAKE_SOURCE_DIR}/symbols.map")
set_target_properties(dbus-cpp PROPERTIES
                      LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map}")
set_target_properties(dbus-cpp PROPERTIES LINK_DEPENDS ${symbol_map})

target_link_libraries(
  dbus-cpp

  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${LIBXML2_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

set_target_properties(
  dbus-cpp

  PROPERTIES
  VERSION ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}
  SOVERSION ${DBUS_CPP_VERSION_MAJOR}
)

install(
  TARGETS dbus-cpp
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# We want to test compiler functionality in our testing framework and
# thus collect symbols in this temporary helper library that is not
# installed but just linked to the actual compiler executable.
add_library(
  dbus-cppc-helper

  compiler.cpp
  generator.cpp
  introspection_parser.cpp
)

target_link_libraries(
  dbus-cppc-helper

  ${Boost_LIBRARIES}
  ${LIBXML2_LIBRARIES}
)

add_executable(
  dbus-cppc

  compiler_main.cpp
)

target_link_libraries(
  dbus-cppc

  dbus-cppc-helper
)

install(
  TARGETS dbus-cppc
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
dbus-cpp (5.0.0+18.04.20171031-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #887960)

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Jan 2018 15:52:44 +1100

dbus-cpp (5.0.0+18.04.20171031-0ubuntu1) bionic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Fix FTBFS on bionic by switching to use cmake-extras and not
    enforcing -pedantic anymore as current gtest macros do not follow
    strict standards anymore.

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Tue, 31 Oct 2017 19:11:23 +0000

dbus-cpp (5.0.0+16.10.20160809-0ubuntu1) yakkety; urgency=medium

  * Fix signal emission on dbus::ServiceWatcher.

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 09 Aug 2016 07:31:30 +0000

dbus-cpp (5.0.0+15.10.20151021.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * No-change rebuild.

 -- Thomas Voß <ci-train-bot@canonical.com>  Wed, 21 Oct 2015 08:00:51 +0000

dbus-cpp (5.0.0-0ubuntu3) wily; urgency=medium

  * Bump revision as the archive has 5.0.0-0ubuntu2

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 20 Oct 2015 17:03:52 +0200

dbus-cpp (5.0.0) wily; urgency=medium

  * Bump major revision to account for toolchain update. Fixes LP:#1452322

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 21 Jul 2015 12:36:46 +0200

dbus-cpp (4.3.0+15.04.20160114.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbus-cpp4.symbols.32bit: update to released version.
  * debian/libdbus-cpp4.symbols.64bit: update to released version.

  [ Thomas Voß ]
  * Add a proper operator<< for dbus::Message::Type. (LP: #1524131)

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 14 Jan 2016 21:51:19 +0000

dbus-cpp (4.3.0+15.04.20160112-0ubuntu1) vivid; urgency=medium

  * Only run dbus_shutdown if explicitly requested by env var. (LP:
    #1422304, #1526877)

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 12 Jan 2016 16:28:02 +0000

dbus-cpp (4.3.0+15.04.20151126-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Thomas Voß ]
  * Ensure that Signal with non-void argument types correctly narrow
    their match rules. (LP: #1480877)

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 26 Nov 2015 07:31:37 +0000

dbus-cpp (4.3.0+15.04.20151023-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Thomas Voß ]
  * Do not cache emitted values for stub signals. (LP: #1509285)

 -- Jim Hodapp <ci-train-bot@canonical.com>  Fri, 23 Oct 2015 10:01:27 +0000

dbus-cpp (4.3.0+15.04.20151020-0ubuntu1) vivid; urgency=medium

  [ Manuel de la Pena ]
  * Ensure that the signals are correctly emitted for when the services
    appear and go.

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 20 Oct 2015 10:55:11 +0000

dbus-cpp (4.3.0+15.04.20150505-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbus-cpp4.symbols.32bit: update to released version.
  * debian/libdbus-cpp4.symbols.64bit: update to released version.

  [ Thomas Voß ]
  * core::dbus::Fixture: Provide access to the address of the spawned
    session/system bus instances.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 05 May 2015 08:24:49 +0000

dbus-cpp (4.3.0+15.04.20150415-0ubuntu1) vivid; urgency=medium

  [ Thomas Voß ]
  * DBus daemon lives in /usr/bin now.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 15 Apr 2015 09:51:18 +0000

dbus-cpp (4.3.0+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * We ref on construction, so decrement the ref count by 1 to 1 prior
    to returning. (LP: #1396985)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 09:56:06 +0000

dbus-cpp (4.3.0+15.04.20141110-0ubuntu1) vivid; urgency=medium

  [ Thomas Voss ]
  * Ensure Signal<void>::~Signal is exception safe.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 12:31:09 +0000

dbus-cpp (4.2.0+15.04.20141105-0ubuntu1) vivid; urgency=medium

  [ Thomas Voss ]
  * Make core::dbus::Signal::~Signal respect the noexcept guarantee.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 07:51:06 +0000

dbus-cpp (4.1.0+15.04.20141104-0ubuntu1) vivid; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 04:23:34 +0000

dbus-cpp (4.1.0+14.10.20141031~rtm-0ubuntu1) 14.09; urgency=low

  [ thomas-voss ]
  * Relax timeout on org.freedesktop.Properties::{GetAll, Get, Set}.
    with timeout set to 30 sec (LP: #1361642)

  [ Kevin Gunn ]
  * Relax timeout on org.freedesktop.Properties::{GetAll, Get, Set}.
    with timeout set to 30 sec (LP: #1361642)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Oct 2014 07:51:25 +0000

dbus-cpp (4.1.0+14.10.20141030~rtm-0ubuntu1) 14.09; urgency=medium

  [ Thomas Voss ]
  * Ensure that dead objects are correctly cleaning up their connections to the signal router.
  * Robustify against dangling objects.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 14:01:09 +0000

dbus-cpp (4.0.0+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Fix another race when setting up a pending call notification on
    another thread than the one driving the event loop. Introduce an
    option to enable sanitizers.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 15:55:53 +0000

dbus-cpp (4.0.0+14.10.20141002.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Always unref pending calls, add load test to ensure correct
    behavior. Make sure that timeouts are never notified after
    destruction. (LP: #1367836)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 Oct 2014 20:49:03 +0000

dbus-cpp (4.0.0+14.10.20140917-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Factor out dbus-specific environment variable names into compile-
    time constants. Make sure that environment variables are unset prior
    to setting.



=== debian/control ===
Source: dbus-cpp
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper (>= 11),
               doxygen,
               google-mock,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-program-options-dev,
               libdbus-1-dev,
               libgtest-dev,
	       libprocess-cpp-dev,
               libproperties-cpp-dev,
               libxml2-dev,
               lsb-release,
Standards-Version: 4.1.3
Section: libs
Homepage: http://launchpad.net/dbus-cpp
Vcs-Git: https://github.com/lamby/pkg-dbus-cpp
Vcs-Browser: https://github.com/lamby/pkg-dbus-cpp

Package: libdbus-cpp5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: header-only dbus-binding leveraging C++-11 (runtime libraries)
 A header-only dbus-binding leveraging C++-11, relying on compile-time
 polymorphism to integrate with arbitrary type systems. Runtime portions to
 bind to different event loops.

Package: dbus-cpp-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdbus-cpp5 (= ${binary:Version})
Description: header-only dbus-binding leveraging C++-11 (tools)
 Protocol compiler and generator to automatically generate protocol headers
 from introspection XML.
 .
 D-Bus is a message bus used for sending messages between applications.
 .
 This package contains runtime binaries.

Package: libdbus-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus,
         libdbus-cpp5 (= ${binary:Version})
Replaces: dbus-cpp-dev
Conflicts: dbus-cpp-dev
Provides: dbus-cpp-dev
Description: header-only dbus-binding leveraging C++-11 (development files)
 A header-only dbus-binding leveraging C++-11, relying on compile-time
 polymorphism to integrate with arbitrary type systems.
 .
 D-Bus is a message bus used for sending messages between applications.

Package: dbus-cpp-dev-examples
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: header-only dbus-binding leveraging C++-11 (examples)
 A header-only dbus-binding leveraging C++-11, relying on compile-time
 polymorphism to integrate with arbitrary type systems.
 .
 D-Bus is a message bus used for sending messages between applications.
 .
 This package provides examples.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+.*//')
MAJOR = $(shell echo $(VERSION) | cut -d. -f1)
MINOR = $(shell echo $(VERSION) | cut -d. -f2)
PATCH = $(shell echo $(VERSION) | cut -d. -f3)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-cpp \
		-DCMAKE_C_COMPILER=$(CC) \
		-DCMAKE_CXX_COMPILER=$(CXX) \
		-DDBUS_CPP_VERSION_MAJOR=$(MAJOR) \
		-DDBUS_CPP_VERSION_MINOR=$(MINOR) \
		-DDBUS_CPP_VERSION_PATCH=$(PATCH)

## dbus-cpp 5.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,8 +61,8 @@
 
 include(GNUInstallDirs)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fvisibility=hidden -fPIC -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -Wextra -fvisibility=hidden -fPIC -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -Wextra -fPIC -pthread")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}")
 
 # We leverage GCC's sanitize functionality

=== debian/changelog ===
dbus-cpp (5.0.1-4) unstable; urgency=medium

  * debian/libdbus-cpp5.symbols:
    + Work in required changes for armel armhf i386 m68k mipsel x32.
  * debian/patches/1003_increase-asyncexec-test-timeout.patch:
    + Re-think patch. Now really set the max allowed test duration to 10min.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 21:02:31 +0100

dbus-cpp (5.0.1-3) unstable; urgency=medium

  * debian/control:
    + Fix typo in Vcs-Browser: field's URL. Spotted and reported by Boyuan
      Yang. (Closes: #951019).
    + Limit builds to linux-any architectures, only.
    + Add B-D pkg-kde-tools.
  * debian/rules:
    + Run DH --with pkgkde_symbolshelper.
  * debian/patches:
    + Drop 2001_increase-test-timeouts-for-Debian-buildds.patch. Red herring.
    + Add debian/patches/0003_increase-asyncexec-test-timeout.patch. Now
      (hopefully) really increase async execution test's timeout.
  * debian/libdbus-cpp5.symbols:
    + Add file (using pkg-kde-tools).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 14:04:16 +0100

dbus-cpp (5.0.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 2001_increase-test-timeouts-for-Debian-buildds.patch. Increase reply
      timeout value for unit tests from 300s to 900s. If this works out, we will
      consider disabling the async_execution_load_test on affected architectures
      (at least armel, mipsel, ia64, powerpc, ppc64). (Closes: #888995).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2020 16:33:04 +0100

dbus-cpp (5.0.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/rules:
    + Add get-orig-source target.
  * debian/copyright:
    + Update copyright attributions.
  * debian/{control,copyright}:
    +Switch to UBports as upstream.
  * debian/control:
    + Adopt package. Move over to Debian UBports Team. (Closes: #904426).
    + Update Vcs-*: fields accordingly.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/gbp.conf:
    + Use gbp's defaults.
  * debian/watch:
    + Add file.
  * debian/patches/:
    + Add README explaining our patch naming scheme.
    + Add dont-build-with-werror.patch. Don't build with -Werror. Avoid FTBFS
      for deprecations. (Closes: #949044).
    + Add 0001_explicitly-declare-copy-constructor.patch. Thanks to Luca Weiss
      for working on the patch. Fixes FTBFS against GCC-9.
    + Add 0002_fix-build-with-boost-1.66.0-and-above.patch. Fix FTBFS against
      Boost >= 1.66. Thanks to Luca Weiss for working on the patch.

  [ Helmut Grohne ]
  * debian/rules:
    + Improve cross-building, don't override compilers. (Closes: #940694).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Jan 2020 08:51:55 +0100

dbus-cpp (5.0.0+18.04.20171031-2) unstable; urgency=medium

  * Orphan package.
  * Add some autopkgtests.
  * Update Vcs-* headers to point to new repo location on salsa.debian.org.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jul 2018 16:27:30 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: dbus-cpp
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
                dbus,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                doxygen,
                google-mock,
                libboost-filesystem-dev,
@@ -16,14 +18,16 @@
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
-Standards-Version: 4.1.3
+               pkg-kde-tools,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://launchpad.net/dbus-cpp
-Vcs-Git: https://github.com/lamby/pkg-dbus-cpp
-Vcs-Browser: https://github.com/lamby/pkg-dbus-cpp
+Homepage: https://gitlab.com/ubports/code/lib-cpp/dbus-cpp
+Vcs-Git: https://salsa.debian.org/ubports-team/dbus-cpp.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/dbus-cpp
 
 Package: libdbus-cpp5
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -34,7 +38,7 @@
 
 Package: dbus-cpp-bin
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -49,7 +53,7 @@
 
 Package: libdbus-cpp-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -66,7 +70,7 @@
 
 Package: dbus-cpp-dev-examples
 Section: x11
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,14 @@
 PATCH = $(shell echo $(VERSION) | cut -d. -f3)
 
 %:
-	dh $@
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-cpp \
-		-DCMAKE_C_COMPILER=$(CC) \
-		-DCMAKE_CXX_COMPILER=$(CXX) \
 		-DDBUS_CPP_VERSION_MAJOR=$(MAJOR) \
 		-DDBUS_CPP_VERSION_MINOR=$(MINOR) \
 		-DDBUS_CPP_VERSION_PATCH=$(PATCH)
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Tests: 0001-dbus-cppc
Depends: @
Restrictions: allow-stderr

Tests: 0002-benchmark
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lib-cpp/dbus-cpp/tags .*/dbus-cpp-(\d\S+)\.tar\.gz
